IRPCObjectOperations.FindFilesByChecksum

View as Markdown

Vault API / core write session or assertion returns metadata structure version

Finds file versions in the vault by MD5 checksum.

ServiceObjects, versions, properties and files MFiles.IRPCObjectOperations
gRPC method/MFiles.IRPCObjectOperations/FindFilesByChecksum
HTTP (mf-http-grpc)POST /grpc/v1/find-files-by-checksum
RequestFindFilesByChecksumRequest
ResponseFindFilesByChecksumResponse
Book and levelVault API, core
Kindwrite
SessionRequired: a session (mfiles-session-id-bin metadata) or a session assertion (x-mf-session-assertion metadata).
Idempotentno
Returns metadata structure versionyes (in the mfiles-metadata-version-bin trailer)
Streamingnone (unary)

Request: FindFilesByChecksumRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
low_digestint64Specifies the low-order part of the MD5 checksum.
high_digestint64Specifies the high-order part of the MD5 checksum.
exclude_files_from_deleted_objectsboolTrue if the results should exclude duplicates which belong to deleted objects.

Response: FindFilesByChecksumResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
obj_ids[]repeated ObjIDResults.
obj_ids[].typeint32The object type ID, for example 0 for documents. In a lookup value, the value list ID (for a lookup to objects, the object type ID).
obj_ids[].item_idItemIDThe ID of the object within its type, in item_id.internal_id.
obj_ids[].item_id.internal_idint32The ID of the object or value list item.
obj_ids[].item_id.external_repository_idExternalRepositoryIDUsed only for objects in external repositories (external connectors). Leave it unset for objects stored in the vault.